QGIS Application - Bug report #15367
Vector analysis tools "Points in Polygon" does not recognize Integer64 fields
2016-07-30 11:11 PM - lan Scales

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.3 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23298
Description

When | open the "Points in Polygon” app within the Vector Analysis Tools, it does not list in the "Input point vector layer attributes to
aggregate" a field that Table Manager tells me is an 'Integer64' field type. However, in another version of the same table, where that
particular field is 'Integer’ type (instead on Integer64), the field correctly shows up for selection within Points in Polygon. | think it must be a
bug.

Note: the afflicted version is 2.14.4 LTR (the dropdown list in the new issues reporting page has no 2.14.4 to select).

Associated revisions

Revision 3e433337 - 2016-08-01 01:47 PM - Alexander Bruy

[ftools] add support for int64 fields (fix #15367)

History

#1 - 2016-08-01 04:37 AM - Alexander Bruy
- OS version deleted (10)

- Category changed from Vectors to 44

- Operating System deleted (Windows)

#2 - 2016-08-01 04:46 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"3e433337d0578fb393994b982bfd1f87eecbccel”.

#3 - 2016-08-01 04:49 AM - Alexander Bruy
- Status changed from Closed to In Progress

fTools is deprecated plugin, please consider using Processing for analysis.

#4 - 2016-08-01 07:14 AM - Alexander Bruy
- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

2025-04-27 12




The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
